WebContainer (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.web.WebContainer interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.web
Interface WebContainer

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable, SoftwareContainer

All Known Subinterfaces:
  ApacheWebContainer, EmbeddedTomcatWebContainer, IPlanetWebContainer, J2EEWebContainer, JettyWebContainer, WebLogicWebContainer, WebSphereWebContainer

    public interface WebContainer

extends SoftwareContainer

A Software Container that hosts Web applications.

Persistable:
  true

Field Summary

Fields inherited from interface com.collation.platform.model.topology.app.SoftwareContainer
`RUNNING, STOPPED`

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`WebServerConfigDirective[]` | `getDirectives()`
`java.lang.String` | `getServerRoot()`
`java.lang.String` | `getUser()`
`WebVirtualHost[]` | `getVirtualHosts()`
`boolean` | `hasDirectives()`
`boolean` | `hasServerRoot()`
`boolean` | `hasUser()`
`boolean` | `hasVirtualHosts()`
`void` | `setDirectives(WebServerConfigDirective[] d)`
`void` | `setServerRoot(java.lang.String serverRoot)`
`void` | `setUser(java.lang.String user)`
`void` | `setVirtualHosts(WebVirtualHost[] vhs)`

Methods inherited from interface com.collation.platform.model.topology.app.SoftwareContainer
`getBindAddresses, getName, getParent, getStatus, hasBindAddresses, hasName, hasParent, hasStatus, setBindAddresses, setName, setParent, setStatus`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getVirtualHosts

    WebVirtualHost[] getVirtualHosts()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Provides" reverse="false"
  Containment Relationship:
    true

### setVirtualHosts

    void setVirtualHosts(WebVirtualHost[] vhs)

### hasVirtualHosts

    boolean hasVirtualHosts()

### getDirectives

    WebServerConfigDirective[] getDirectives()
                                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"
  Containment Relationship:
    true

### setDirectives

    void setDirectives(WebServerConfigDirective[] d)

### hasDirectives

    boolean hasDirectives()

### getServerRoot

    java.lang.String getServerRoot()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setServerRoot

    void setServerRoot(java.lang.String serverRoot)

### hasServerRoot

    boolean hasServerRoot()

### getUser

    java.lang.String getUser()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setUser

    void setUser(java.lang.String user)

### hasUser

    boolean hasUser()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD